Incus - Command line client(1)

NAME
incus-debug-dump-memory - Export a virtual machine's memory state

SYNOPSIS
incus debug dump-memory [:] [flags]

DESCRIPTION
Description:
  Export the current memory state of a running virtual machine into a dump file.
          This can be useful for debugging or analysis purposes.

OPTIONS
-f, --format="elf"
    ``Format of memory dump (e.g. elf, win-dmp, kdump-zlib, kdump-raw-zlib, ...)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus debug dump-memory vm1 memory-dump.elf --format=elf
          Creates an ELF format memory dump of the vm1 instance.

SEE ALSO
incus-debug(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra